import { default as React } from '../../node_modules/@types/react';
import { ExternalToast } from 'sonner';
export { Toaster } from 'sonner';
export declare const toast: {
    (message: string | string[] | React.ReactNode, options?: ExternalToast): string | number | void;
    success(message: string | string[], options?: ExternalToast): string | number | void;
    error(message: string | string[], options?: ExternalToast): string | number | void;
    warning(message: string | string[], options?: ExternalToast): string | number | void;
    info(message: string | string[], options?: ExternalToast): string | number | void;
    custom(message: React.ReactNode, options?: ExternalToast): string | number;
    dismiss(toastId: string | number | null | undefined): void;
    promise<T extends unknown>({ myPromise, loadingMessage, successMessage, errorMessage, onSuccess, onError, options, }: {
        myPromise: Promise<T>;
        successMessage: string;
        loadingMessage?: string;
        errorMessage?: string;
        onSuccess?: (data: T) => void;
        onError?: (err: T) => void;
        options?: ExternalToast;
    }): (string & {
        unwrap: () => Promise<T>;
    }) | (number & {
        unwrap: () => Promise<T>;
    }) | {
        unwrap: () => Promise<T>;
    };
};
